This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150994 - shadow-utils aren't rebuildable using current Rawhide
shadow-utils aren't rebuildable using current Rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-13 13:27 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 04:31:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
shadow-4.0.7-gcc4.patch (739 bytes, patch)
2005-03-13 13:27 EST, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2005-03-13 13:27:58 EST
Created attachment 111952 [details]
shadow-4.0.7-gcc4.patch
Comment 1 Robert Scheck 2005-03-13 13:27:58 EST
Description of problem:
shadow-utils aren't rebuildable using current Rawhide:

--- snipp ---
make[2]: Entering directory `/usr/src/redhat/BUILD/shadow-4.0.7/lib'
if /bin/sh ../libtool --tag=CC --mode=compile gcc  -I. -I. -I..     -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386 -mtune=pentium4 -MT commonio.lo -MD -MP -MF ".deps/commonio.Tpo" -c -o commonio.lo commonio.c; \
then mv -f ".deps/commonio.Tpo" ".deps/commonio.Plo"; else rm -f ".deps/commonio.Tpo"; exit 1; fi
 gcc -I. -I. -I.. -O2 -Wall -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -m32 -march=i386 -mtune=pentium4 -MT commonio.lo -MD -MP -MF .deps/commonio.Tpo -c commonio.c -o commonio.o
commonio.c: In function 'commonio_open':
commonio.c:460: error: syntax error before '(' token
commonio.c:460: error: '__n_val' undeclared (first use in this function)
commonio.c:460: error: (Each undeclared identifier is reported only once
commonio.c:460: error: for each function it appears in.)
[...]
--- snapp ---

Version-Release number of selected component (if applicable):
shadow-utils-4.0.7-1
gcc-4.0.0-0.33
glibc-2.3.4-14

How reproducible:
Try to rebuild shadow-utils - and die with the error message above.

Actual results / Expected results:
shadow-utils should be rebuildable.

Additional info:
The attached patch solves the problem for me.
Comment 2 Peter Vrabec 2005-03-14 04:31:05 EST
thx.

Note You need to log in before you can comment on or make changes to this bug.